de.esprit.netsuite.netdata

## Interface DeliverableMessage

- All Known Implementing Classes:
    CancelClientCommand, CancelRemoteTaskCommand, CancelTransferCommand, ClientCommand, ClientInfoCommand, ClientMessageCommand, ClientResetCommand, ClientShutdownCommand, ExAsyncClientCommand, LockReleaseCommand, LockTimedOutCommand, NetMessage

      public interface DeliverableMessage

  This interface defines methods which control message delivery.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SessionId` | `getFromSession()`
    `SessionId` | `getTargetSession()`
    `java.lang.String[]` | `getTargetUsers()`
    `boolean` | `hasFromSession()`
    `boolean` | `hasTargetSession()`
    `boolean` | `hasTargetUser()`
    `boolean` | `isSkipSender()` If this flag is set, then the message is sent to all sessions except the session of the sender himself.
    `void` | `setFromSession(SessionId fromSessionCtx)`
    `void` | `setSkipSender(boolean notToSender)`
    `void` | `setTargetSession(SessionId toSessionCtx)`
    `void` | `setTargetUser(java.lang.String userName)`
    `void` | `setTargetUsers(java.lang.String[] userNames)`

- - ### Method Detail

    - #### getTargetSession

          SessionId getTargetSession()

    - #### setTargetSession

          void setTargetSession(SessionId toSessionCtx)

    - #### hasTargetSession

          boolean hasTargetSession()

    - #### getFromSession

          SessionId getFromSession()

    - #### setFromSession

          void setFromSession(SessionId fromSessionCtx)

    - #### hasFromSession

          boolean hasFromSession()

    - #### getTargetUsers

          java.lang.String[] getTargetUsers()

    - #### setTargetUser

          void setTargetUser(java.lang.String userName)

    - #### setTargetUsers

          void setTargetUsers(java.lang.String[] userNames)

    - #### hasTargetUser

          boolean hasTargetUser()

    - #### isSkipSender

          boolean isSkipSender()

      If this flag is set, then the message is sent to all sessions except the session of the sender himself.

    - #### setSkipSender

          void setSkipSender(boolean notToSender)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.